# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-libvorbis,v 1.5 2004/10/06 19:23:57 raorn Exp $

%mingw_package

%define pkgname libvorbis

Name: %cross_arch-%pkgname
Version: 1.1.0
Release: alt2

Summary: The Vorbis General Audio Compression Codec
License: BSD-like
Group: System/Libraries
Url: http://www.vorbis.com/

BuildArch: noarch

Source:	http://downloads.xiph.org/releases/vorbis/%pkgname-%version.tar.bz2
Patch: %pkgname-1.1.0-alt-mingw-fixes.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.4

# Automatically added by buildreq on Wed Oct 06 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++ i386-mingw32msvc-libogg-devel i386-mingw32msvc-pkgconfig i386-mingw32msvc-runtime pkgconfig

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch -p1

%build
%__subst -p 's/-O20 //g' configure*
%__aclocal
%__automake
%__autoconf
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--enable-shared \
	--enable-static \
	%cross_env
%make_build

%install
%make_install install DESTDIR=%buildroot

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_archincludedir/*
%_archlibdir/*.dll.a
%_archlibdir/pkgconfig/*.pc

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Wed Oct 06 2004 Sir Raorn <raorn@altlinux.ru> 1.1.0-alt2
- Strip some crap

* Wed Oct 06 2004 Sir Raorn <raorn@altlinux.ru> 1.1.0-alt1
- Built for %cross_arch target

* Sat Sep 25 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Thu Jan 22 2004 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt3
- Fixed BuildRequires.

* Tue Dec 02 2003 Alexey Tourbin <at@altlinux.ru> 1.0update.1-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.
- Aggressive optimization disabled (partially).

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt1
- 1.0.1

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- building doesn't requires libogg-devel-static.
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- Fixed license tag.
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.

